Subject: Re: bug#14949: Snapped window acts like a fullscreen one (Windows 7)

From: Juanma Barranquero <[email-masked]>
Date: Sun, 5 Jan 2014 19:11:12 +0100

On Sun, Jan 5, 2014 at 7:00 PM, martin rudalics <[email-masked]> wrote:

> Can you understand the mystery?

If I had to guess, I'd bet that when the window is snapped (that's how
the feature is called, Aero Snap), Windows remembers that it is
sort-of-maximized (to make de-snapping possible). So if we pass
SW_SHOWNORMAL ("If the window is minimized or maximized, the system
restores it to its original size and position") to ShowWindow, Windows
restores the frame; then Emacs gets hold of the (new) size and
position.

Does that make any sense?

    J